Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_utf8_to_unicode_char

## Name

librdf_utf8_to_unicode_char -- Convert an UTF-8 encoded buffer to a Unicode character

## Synopsis

``int `librdf_utf8_to_unicode_char`` (librdf_unichar * `output`, const byte * `input`, int `length`);`

## Arguments

`output`

  Pointer to the Unicode character or NULL

`input`

  UTF-8 string buffer

`length`

  buffer size

## Description

If output is NULL, then will calculate the number of bytes that will be used from the input buffer and not perform the conversion.

## Return value

bytes used from input buffer or <0 on failure

<<< Previous | Home | Next >>>
librdf_unicode_char_to_utf8 | Up | librdf_utf8_to_latin1